/**
 * IBM Confidential OCO Source Material
 * 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2011
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 *
 * Change History:
 * ----------------------------------------------------------------------------
 * $F36603                2011.03.17  ralder    birth
 * ----------------------------------------------------------------------------
 */

package com.ibm.websphere.batch.devframework.datastreams.bdsadapter;



import com.ibm.websphere.batch.SkipListener;


/**
 * 
 * This interface defines the methods that should be implemented by BatchDataStreams
 * that support RecordMetrics.  These methods are visible to the batch application 
 * to allow the batch application to utilize the RecordMetrics facilities.
 * @ibm-api
 *
 */
public interface AbstractBatchDataStreamRecordMetrics
{

  /**
   * <p>
   * Add a SkipListener callback to the BDS.  The SkipListener is called by the BDS whenever the
   * BDS fails to read or write a record and is configured to skip the failed record.
   *
   * @param skipListener The user-implemented SkipListener callback.  
   */
  public void addSkipListener(SkipListener skipListener);

}
